task Haplotyper {
	
	File ref_dir
	File dbsnp_dir
	
	String SENTIEON_INSTALL_DIR
	String SENTIEON_LICENSE
	String fasta
	File recaled_bam
	File recaled_bam_index
	File? regions
	String dbsnp
	String sample
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		export SENTIEON_LICENSE=${SENTIEON_LICENSE}
		nt=$(nproc)
		if [ ${regions} != "" ]; then
			${SENTIEON_INSTALL_DIR}/bin/sentieon driver --interval ${regions} -r ${ref_dir}/${fasta} -t $nt -i ${recaled_bam} --algo Haplotyper -d ${dbsnp_dir}/${dbsnp} ${sample}_hc.vcf
		else
			${SENTIEON_INSTALL_DIR}/bin/sentieon driver -r ${ref_dir}/${fasta} -t $nt -i ${recaled_bam} --algo Haplotyper -d ${dbsnp_dir}/${dbsnp} ${sample}_hc.vcf
		fi
	>>>
	
	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File vcf = "${sample}_hc.vcf"
		File vcf_idx = "${sample}_hc.vcf.idx"
	}
}


