task PON {

	String SENTIEON_INSTALL_DIR
	String SENTIEON_LICENSE
	String sample

	File ref_dir
	String fasta
	File cosmic_dir
	String cosmic_vcf
	File dbsnp_dir
	String dbsnp

	File normal_recaled_bam
	File normal_recaled_bam_index
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		set -o pipefail
		set -e
		export SENTIEON_LICENSE=${SENTIEON_LICENSE}
		nt=$(nproc)
		mkdir -p /cromwell_root/tmp/cosmic/
		cp ${cosmic_dir}/${cosmic_vcf} /cromwell_root/tmp/cosmic/
		${SENTIEON_INSTALL_DIR}/bin/sentieon util vcfindex /cromwell_root/tmp/cosmic/${cosmic_vcf}
		${SENTIEON_INSTALL_DIR}/bin/sentieon driver -t $nt -r ${ref_dir}/${fasta} -i ${normal_recaled_bam} --algo TNhaplotyper --detect_pon --cosmic /cromwell_root/tmp/cosmic/${cosmic_vcf} --dbsnp ${dbsnp_dir}/${dbsnp} ${sample}_pon.vcf
	>>>
	
	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"	
	}

	output {
		File pon_vcf = "${sample}_pon.vcf"
	}
}