task annovar {

	String sample
	File vcf
	String annotated_vcf = basename(vcf,".vcf")
	File database
	String docker
	String cluster_config
	String disk_size


	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		/installations/annovar/table_annovar.pl ${vcf} ${database} -buildver hg38 -out ${annotated_vcf} -remove -protocol refGene,ensGene,knownGene,cytoBand,genomicSuperDups,ljb26_all,dbnsfp35c,intervar_20180118,cosmic70,exac03,gnomad211_exome,clinvar_20200316 -operation g,g,g,r,r,f,f,f,f,f,f,f -nastring . -vcfinput -thread $nt
	>>>
	
	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File avinput = "${annotated_vcf}.avinput"
		File multianno_txt = "${annotated_vcf}.hg38_multianno.txt"
		File multianno = "${annotated_vcf}.hg38_multianno.vcf"
	}
}